Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02825 Crash/Freeze Critical (emulator) Sometimes Jan 14, 2009, 16:32 Feb 26, 2009, 08:14
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS Windows 2000
Status [?] Resolved Driver exidy440.cpp
Version 0.129 Fixed in Version 0.129u5 Build Normal
Summary 02825: crossbow: Crash on "Crossing Bridge" stage
Description This is an odd one. In testing It doesn't happen all the time. Artwork, NVRAM doesn't seem to matter. I was able to get a save state in which it crashes nearly 100% of the time for me under certain conditions as detailed below
Steps To Reproduce Play and choose the Red Path each time. On the third Red choice, you will goto the "Crossing Bridge" stage. All you need to do to trigger the bug is shoot the rock that comes from the right hand side of the screen and across the bridge.

or

Load with the save state provided as attachment:
mame crossbow -state 9
- Choose the RED path
- Play the stage as mentioned above, only shooting the Rock. The crash will happen very shortly afterwards .
Additional Information Largely redundant backtrace here:
Program received signal SIGSEGV, Segmentation fault.
0x0053c5d4 in draw_sprites (screen=0x9771f6c, bitmap=0x12ac1fe0,
    cliprect=0x22fc1c, scroll_offset=0, check_collision=1)
    at src/mame/video/exidy440.c:372
372 pen = left | old[0];
(gdb) bt
#0 0x0053c5d4 in draw_sprites (screen=0x9771f6c, bitmap=0x12ac1fe0,
    cliprect=0x22fc1c, scroll_offset=0, check_collision=1)
    at src/mame/video/exidy440.c:372
#1 0x0053c5d4 in draw_sprites (screen=0x9771f6c, bitmap=0x12ac1fe0,
    cliprect=0x22fc1c, scroll_offset=0, check_collision=1)
    at src/mame/video/exidy440.c:372
#2 0x0053c5d4 in draw_sprites (screen=0x9771f6c, bitmap=0x12ac1fe0,
    cliprect=0x22fc1c, scroll_offset=11092533, check_collision=1652541860)
    at src/mame/video/exidy440.c:372
#3 0x0053c5d4 in draw_sprites (screen=0x9771f6c, bitmap=0x26,
    cliprect=0x22fc60, scroll_offset=2303392, check_collision=0)
    at src/mame/video/exidy440.c:372
#4 0x0053c5d4 in draw_sprites (screen=0x10e81750, bitmap=0x19, cliprect=0x0,
    scroll_offset=218526247, check_collision=-697570048)
    at src/mame/video/exidy440.c:372
#5 0x0053c5d4 in draw_sprites (screen=0x10e81750, bitmap=0x2019,
    cliprect=0x0, scroll_offset=10901698, check_collision=283645776)
    at src/mame/video/exidy440.c:372
#6 0x0053c5d4 in draw_sprites (screen=0x10e81750, bitmap=0x2019,
    cliprect=0x0, scroll_offset=13772436, check_collision=568858448)
    at src/mame/video/exidy440.c:372
#7 0x0053c5d4 in draw_sprites (screen=0x11751768, bitmap=0x2019,
    cliprect=0x11751770, scroll_offset=2, check_collision=45)
    at src/mame/video/exidy440.c:372
#8 0x0053c5d4 in draw_sprites (screen=0x11751768, bitmap=0xc37e,
    cliprect=0x5163f1cf, scroll_offset=427480, check_collision=0)
    at src/mame/video/exidy440.c:372
#9 0x0053c5d4 in draw_sprites (screen=0x9751f7c, bitmap=0xba2,
    cliprect=0x5163f1cf, scroll_offset=427480, check_collision=218526247)
    at src/mame/video/exidy440.c:372
#10 0x0053c5d4 in draw_sprites (screen=0x9701efc, bitmap=0x0, cliprect=0x0,
    scroll_offset=0, check_collision=158080928)
    at src/mame/video/exidy440.c:372
#11 0x0053c5d4 in draw_sprites (screen=0x6911e58, bitmap=0x6901f08,
    cliprect=0x16fc8b0, scroll_offset=150, check_collision=2086085928)
    at src/mame/video/exidy440.c:372
#12 0x0053c5d4 in draw_sprites (screen=0x6, bitmap=0x6871fe8,
    cliprect=0x22cfce0, scroll_offset=2013270425, check_collision=32)
    at src/mame/video/exidy440.c:372
#13 0x0053c5d4 in draw_sprites (screen=0x6, bitmap=0x6871fe8, cliprect=0x3d,
    scroll_offset=88, check_collision=2293728)
    at src/mame/video/exidy440.c:372
#14 0x0053c5d4 in draw_sprites (screen=0x7ffdf000, bitmap=0x0,
    cliprect=0x22ffb0, scroll_offset=4198987, check_collision=6)
    at src/mame/video/exidy440.c:372
#15 0x0053c5d4 in draw_sprites (screen=0x1, bitmap=0x9, cliprect=0x22fff0,
    scroll_offset=2086242773, check_collision=0)
    at src/mame/video/exidy440.c:372
#16 0x0053c5d4 in draw_sprites (screen=0x0, bitmap=0x0, cliprect=0x7ffdf000,
    scroll_offset=0, check_collision=2293704) at src/mame/video/exidy440.c:372
#17 0x0053c5d4 in draw_sprites (screen=0x401280, bitmap=0x0, cliprect=0xc8,
    scroll_offset=256, check_collision=-285217025)
    at src/mame/video/exidy440.c:372
Flags
Regression Version
Affected Sets / Systems crossbow
Attached Files
zip file icon 9.zip (6,098 bytes) Jan 14, 2009, 16:33
png file icon 0001.png (17,252 bytes) Jan 14, 2009, 19:49
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.03812
Tafoid
Administrator
Feb 23, 2009, 21:59
Testing 0.129u4 - Regular build seems to crash when exiting game most of the time, but not during that stage. Debug build still crashes with attached save state with details provided above.